Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlsplt.F	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlsplt.F	(revision 4482)
@@ -184,6 +184,4 @@
             DO ij=iip2,ip1jm-1
                dxqu(ij)=q(ij+1,l,iq)-q(ij,l,iq)
-c              IF(u_m(ij,l).lt.0.) stop'limx n admet pas les U<0'
-c              sigu(ij)=u_m(ij,l)/masse(ij,l,iq)
             ENDDO
             DO ij=iip1+iip1,ip1jm,iip1
@@ -310,5 +308,4 @@
       ENDDO
 #endif
-c	stop
 
 c	go to 9999
@@ -437,5 +434,5 @@
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlx(Ratio,pente_max,masseq,u_mq,iq2)
@@ -969,5 +966,5 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlsplt 942: iq,nqChilds(iq)=',iq,nqChilds(iq)
+      !write(*,*) 'vlsplt 942: iq,nqChildren(iq)=',iq,nqChildren(iq)
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
@@ -987,5 +984,5 @@
       enddo
         
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlz(Ratio,pente_max,masseq,wq,iq2)
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlspltqs.F	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/vlspltqs.F	(revision 4482)
@@ -248,6 +248,4 @@
             DO ij=iip2,ip1jm-1
                dxqu(ij)=q(ij+1,l,iq)-q(ij,l,iq)
-c              IF(u_m(ij,l).lt.0.) stop'limx n admet pas les U<0'
-c              sigu(ij)=u_m(ij,l)/masse(ij,l,iq)
             ENDDO
             DO ij=iip1+iip1,ip1jm,iip1
@@ -479,5 +477,6 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlspltqs 326: iq,nqChilds(iq)=',iq,tracers(iq)%nqChilds
+      !write(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
+!     &                 tracers(iq)%nqChildren
       
       do ifils=1,tracers(iq)%nqDescen
@@ -491,5 +490,5 @@
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         call vlx(Ratio,pente_max,masseq,u_mq,iq2)
@@ -786,5 +785,6 @@
 ! CRisi: appel récursif de l'advection sur les fils.
 ! Il faut faire ça avant d'avoir mis à jour q et masse
-      !write(*,*) 'vlyqs 689: iq,nqChilds(iq)=',iq,tracers(iq)%nqChilds
+      !write(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
+!     &              tracers(iq)%nqChildren
    
       do ifils=1,tracers(iq)%nqDescen
@@ -797,5 +797,5 @@
         enddo
       enddo
-      do ifils=1,tracers(iq)%nqChilds
+      do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
         !write(*,*) 'vlyqs 783: appel rec de vly, iq2=',iq2
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/wrgrads.F
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/wrgrads.F	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/wrgrads.F	(revision 4482)
@@ -80,6 +80,5 @@
            print*,'nvar  ',nvar(if)
            print*,'vars ',(var(iv,if),iv=1,nvar(if))
-
-           stop
+           CALL abort_gcm("wrgrads","problem",1)
          endif
       endif
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comvert_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comvert_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comvert_mod.F90	(revision 4482)
@@ -10,9 +10,11 @@
 
 PUBLIC :: ap,bp,presnivs,dpres,sig,ds,pa,preff,nivsigs,nivsig, &
-          aps,bps,scaleheight,pseudoalt,disvert_type, pressure_exner
+          aps,bps,scaleheight,pseudoalt,disvert_type, pressure_exner, &
+          presinter
 
 REAL ap(llm+1) ! hybrid pressure contribution at interlayers
 REAL bp (llm+1) ! hybrid sigma contribution at interlayer
 REAL presnivs(llm) ! (reference) pressure at mid-layers
+REAL presinter(llm+1) ! (reference) pressure at interlayers
 REAL dpres(llm)
 REAL sig(llm+1)
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/conf_planete.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/conf_planete.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/conf_planete.F90	(revision 4482)
@@ -30,36 +30,51 @@
 
 !Reference surface pressure (Pa)
-preff=101325.
+! 101080 : specific value for CMIP5 aqua/terra planets
+! "Specify the initial dry mass to be equivalent to
+!  a global mean surface pressure (101325 minus 245) Pa."
+preff=101080.
 CALL getin('preff', preff)
+
 ! Reference pressure at which hybrid coord. become purely pressure
 ! pa=50000.
 pa=preff/2.
 CALL getin('pa', pa)
+
 ! Gravity
 g=9.80665
+
 CALL getin('g',g)
 ! Molar mass of the atmosphere
+
 molmass = 28.9644
 CALL getin('molmass',molmass)
 ! kappa=R/Cp et Cp      
+
 kappa = 2./7.
 CALL getin('kappa',kappa)
+
 cpp=8.3145/molmass/kappa*1000.
 CALL getin('cpp',cpp)
 ! Radius of the planet
+
 rad = 6371229. 
 CALL getin('radius',rad)
+
 ! Length of a standard day (s)
 daysec=86400.
 CALL getin('daysec',daysec)
+
 ! Rotation rate of the planet:
 ! Length of a solar day, in standard days
 daylen = 1.
+
 CALL getin('daylen',daylen)
 ! Number of days (standard) per year:
+
 year_day = 365.25
 CALL getin('year_day',year_day)
 ! Omega
 ! omeg=2.*pi/86400.
+
 omeg=2.*pi/daysec*(1./daylen+1./year_day)
 CALL getin('omeg',omeg)
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/control_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/control_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/control_mod.F90	(revision 4482)
@@ -29,5 +29,4 @@
   INTEGER,SAVE :: ip_ebil_dyn
   LOGICAL,SAVE :: offline
-  CHARACTER(len=4),SAVE :: config_inca
   CHARACTER(len=10),SAVE :: planet_type ! planet type ('earth','mars',...)
   LOGICAL,SAVE :: output_grads_dyn ! output dynamics diagnostics in
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/disvert.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/disvert.F90	(revision 4482)
@@ -11,5 +11,5 @@
   use assert_m, only: assert
   USE comvert_mod, ONLY: ap, bp, aps, bps, nivsigs, nivsig, dpres, presnivs, &
-                         pseudoalt, pa, preff, scaleheight
+                         pseudoalt, pa, preff, scaleheight, presinter
   USE logic_mod, ONLY: ok_strato
 
@@ -35,4 +35,5 @@
 ! dpres(llm)                 !--- PRESSURE DIFFERENCE FOR EACH LAYER
 ! presnivs(llm)              !--- PRESSURE AT EACH MID-LAYER
+! presinter(llm+1)           !--- PRESSURE AT EACH INTERFACE
 ! scaleheight                !--- VERTICAL SCALE HEIGHT            (Earth: 8kms)
 ! nivsig(llm+1)              !--- SIGMA INDEX OF EACH LAYER INTERFACE
@@ -355,4 +356,8 @@
           max(ap(l+1)+bp(l+1)*preff, 1.e-10))
   ENDDO
+  DO l=1, llmp1
+     presinter(l)= ( ap(l)+bp(l)*preff)
+     write(lunout, *)'PRESINTER(', l, ')=', presinter(l)
+  ENDDO
 
   write(lunout, *) trim(modname),': PRESNIVS '
@@ -395,5 +400,5 @@
       ELSE IF(SIGN(f1,f4)/=f1) THEN; x2=xx; f2=f4
       ELSE IF(SIGN(f2,f4)/=f2) THEN; x1=xx; f1=f4
-      ELSE; CALL abort_gcm("ridders",'Algorithm failed (which is odd...')
+      ELSE; CALL abort_gcm("ridders",'Algorithm failed (which is odd...', 1)
       END IF
       IF(ABS(10.*LOG(ABS(x2-x1)))<=1E-5) EXIT       !--- ERROR ON SIG <= 0.01m            
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 4482)
@@ -2,13 +2,17 @@
 ! $Id: $
 !
-! This subroutine creates the file grilles_gcm.nc containg longitudes and
-! latitudes in degrees for grid u and v. This subroutine is called from
-! ce0l. This subroutine corresponds to the first 
-! part in the program create_fausse_var.
+! This subroutine creates the grilles_gcm.nc file, containing:
+! -> longitudes and latitudes in degrees for dynamical grids u, v and scalaire,
+! and the following variables added for INCA (informative anyway)
+! -> vertical levels "presnivs"
+! -> mask (land/sea), area (grid), phis=surface geopotential height = phis/g
 !
+! The subroutine is called in dynphy_lonlat/phylmd/ce0l.F90.
+
 SUBROUTINE grilles_gcm_netcdf_sub(masque,phis)
 
   USE comconst_mod, ONLY: cpp, kappa, g, omeg, daysec, rad, pi
   USE comvert_mod, ONLY: presnivs, preff, pa
+  use netcdf, only: nf90_def_var, nf90_int, nf90_float, nf90_put_var
   
   IMPLICIT NONE
@@ -19,32 +23,35 @@
   INCLUDE "netcdf.inc"
 
-
+!======================== 
   REAL,DIMENSION(iip1,jjp1),INTENT(IN)  :: masque ! masque terre/mer
   REAL,DIMENSION(iip1,jjp1),INTENT(IN)  :: phis   ! geopotentiel au sol
 
-  REAL temp(iim+1,jjm+1)
-  ! Attributs netcdf sortie
+  INTEGER status,i,j
+  
+  ! Attributs netcdf output
   INTEGER ncid_out,rcode_out
-  INTEGER out_lonuid,out_lonvid,out_latuid,out_latvid,out_levid
-  INTEGER out_varid
+  
+  INTEGER out_lonuid,out_lonvid,out_latuid,out_latvid
+  INTEGER out_uid,out_vid,out_tempid
   INTEGER out_lonudim,out_lonvdim
-  INTEGER out_latudim,out_latvdim,out_dim(3)
+  INTEGER out_latudim,out_latvdim,out_dim(2)
   INTEGER out_levdim
-
-  INTEGER start(4),COUNT(4)
-
-  INTEGER status,i,j
-  REAL rlatudeg(jjp1),rlatvdeg(jjm),rlevdeg(llm)
+  !
+  INTEGER :: presnivs_id
+  INTEGER :: mask_id,area_id,phis_id
+  !
+  INTEGER start(2),COUNT(2)
+
+  ! Variables
+  REAL rlatudeg(jjp1),rlatvdeg(jjm),rlev(llm)
   REAL rlonudeg(iip1),rlonvdeg(iip1)
-
-  REAL dlon1(iip1),dlon2(iip1),dlat1(jjp1),dlat2(jjp1)
-  REAL acoslat,dxkm,dykm,resol(iip1,jjp1)
-  REAL,DIMENSION(iip1,jjp1)  :: phis_loc
+  REAL uwnd(iip1,jjp1),vwnd(iip1,jjm),temp(iip1,jjp1) 
+  !
   INTEGER masque_int(iip1,jjp1)
-  INTEGER :: phis_id
-  INTEGER :: area_id
-  INTEGER :: mask_id
-  INTEGER :: presnivs_id
-  
+  REAL :: phis_loc(iip1,jjp1)
+  
+  !======================== 
+  ! CALCULATION of latu, latv, lonu, lonv in deg.
+  ! ---------------------------------------------------
   rad = 6400000
   omeg = 7.272205e-05
@@ -64,4 +71,5 @@
      rlatudeg(j)=rlatu(j)*180./pi
   ENDDO
+  
   DO j=1,jjm
      rlatvdeg(j)=rlatv(j)*180./pi
@@ -72,12 +80,31 @@
      rlonvdeg(i)=rlonv(i)*180./pi + 360.
   ENDDO
-
-
-  !  2 ----- OUVERTURE DE LA SORTIE NETCDF
-  ! ---------------------------------------------------
-  ! CREATION OUTPUT
-  ! ouverture fichier netcdf de sortie out
+ 
+  ! CALCULATION of "false" variables on u, v, s grids
+  ! --------------------------------------------------- 
+   DO i=1,iip1
+     DO j=1,jjp1
+        uwnd(i,j)=MOD(i,2)+MOD(j,2)
+        temp(i,j)=MOD(i,2)+MOD(j,2)
+     ENDDO
+     DO j=1,jjm
+        vwnd(i,j)=MOD(i,2)+MOD(j,2)
+     END DO
+  ENDDO  
+
+  ! CALCULATION of local vars for presnivs, mask, sfc. geopot. height
+  ! --------------------------------------------------- 
+  rlev(:) = presnivs(:)
+  phis_loc(:,:) = phis(:,:)/g
+  masque_int(:,:) = nINT(masque(:,:))
+
+
+  ! OPEN output netcdf file
+  !-------------------------
   status=NF_CREATE('grilles_gcm.nc',IOR(NF_CLOBBER,NF_64BIT_OFFSET),ncid_out)
   CALL handle_err(status)
+  
+  ! DEFINE output dimensions
+  !-------------------------
   status=NF_DEF_DIM(ncid_out,'lonu',iim+1,out_lonudim)
   CALL handle_err(status)
@@ -88,166 +115,118 @@
   status=NF_DEF_DIM(ncid_out,'latv',jjm,out_latvdim)
   CALL handle_err(status)
-
-
-  !   Longitudes en u
-  status=NF_DEF_VAR(ncid_out,'lonu',NF_FLOAT,1,out_lonudim, out_lonuid)
+  !
+  status=NF_DEF_DIM(ncid_out,'lev',llm,out_levdim)
+  CALL handle_err(status)
+  
+  ! DEFINE output variables
+  !-------------------------
+  !   Longitudes on "u" dynamical grid
+  status=NF90_DEF_VAR(ncid_out,'lonu',NF90_FLOAT,out_lonudim, out_lonuid)
   CALL handle_err(status)
   status=NF_PUT_ATT_TEXT(ncid_out,out_lonuid,'units', 12,'degrees_east')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_lonuid,'long_name',9,'Longitude en u')
-
-  !   Longitudes en v
-  status=NF_DEF_VAR(ncid_out,'lonv',NF_FLOAT,1,out_lonvdim, out_lonvid)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_lonuid,'long_name',19,'Longitude on u grid')
+  !   Longitudes on "v" dynamical grid
+  status=NF90_DEF_VAR(ncid_out,'lonv',NF90_FLOAT,out_lonvdim, out_lonvid)
   CALL handle_err(status)
   status=NF_PUT_ATT_TEXT(ncid_out,out_lonvid,'units', 12,'degrees_east')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_lonvid,'long_name', 9,'Longitude en v')
-
-  !   Latitude en u
-  status=NF_DEF_VAR(ncid_out,'latu',NF_FLOAT,1,out_latudim, out_latuid)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_lonvid,'long_name', 19,'Longitude on v grid')
+  !   Latitudes on "u" dynamical grid
+  status=NF90_DEF_VAR(ncid_out,'latu',NF90_FLOAT,out_latudim, out_latuid)
   CALL handle_err(status)
   status=NF_PUT_ATT_TEXT(ncid_out,out_latuid,'units', 13,'degrees_north')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_latuid,'long_name', 8,'Latitude en u')
-
-  !  Latitude en v
-  status=NF_DEF_VAR(ncid_out,'latv',NF_FLOAT,1,out_latvdim, out_latvid)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_latuid,'long_name', 18,'Latitude on u grid')
+  !  Latitudes on "v" dynamical grid
+  status=NF90_DEF_VAR(ncid_out,'latv',NF90_FLOAT,out_latvdim, out_latvid)
   CALL handle_err(status)
   status=NF_PUT_ATT_TEXT(ncid_out,out_latvid,'units', 13,'degrees_north')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_latvid,'long_name', 8,'Latitude en v')
-
-  !   ecriture de la grille u
+  status=NF_PUT_ATT_TEXT(ncid_out,out_latvid,'long_name', 18,'Latitude on v grid')
+  !  "u" lat/lon dynamical grid
   out_dim(1)=out_lonudim
   out_dim(2)=out_latudim
-  status=NF_DEF_VAR(ncid_out,'grille_u',NF_FLOAT,2,out_dim, out_varid)
-  CALL handle_err(status)
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'units', 6,'Kelvin')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'long_name', 16,'Grille aux point u')
-
-  !   ecriture de la grille v
+  status=NF90_DEF_VAR(ncid_out,'grille_u',NF90_FLOAT,out_dim, out_uid)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_uid,'units', 3,'m/s')
+  status=NF_PUT_ATT_TEXT(ncid_out,out_uid,'long_name', 21,'u-wind dynamical grid')
+  !  "v" lat/lon dynamical grid
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latvdim
-  status=NF_DEF_VAR(ncid_out,'grille_v',NF_FLOAT,2,out_dim, out_varid)
-  CALL handle_err(status)
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'units', 6,'Kelvin')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'long_name', 16,'Grille aux point v')
-
-  !   ecriture de la grille u
+  status=NF90_DEF_VAR(ncid_out,'grille_v',NF90_FLOAT,out_dim, out_vid)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_vid,'units', 3,'m/s')
+  status=NF_PUT_ATT_TEXT(ncid_out,out_vid,'long_name', 21,'v-wind dynamical grid')
+  !  "s" (scalar) lat/lon dynamical grid
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-  status=NF_DEF_VAR(ncid_out,'grille_s',NF_FLOAT,2,out_dim, out_varid)
-  CALL handle_err(status)
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'units', 6,'Kelvin')
-  status=NF_PUT_ATT_TEXT(ncid_out,out_varid,'long_name',16,'Grille aux point u')
-
-  status=NF_ENDDEF(ncid_out)
-  write(*,*) "COUCOU 6"
-  CALL handle_err(status)
-  ! 5) ----- FERMETURE DES FICHIERS NETCDF------------------
-  ! --------------------------------------------------------
-  ! 3-b- Ecriture de la grille pour la sortie
-  ! rajoute l'ecriture de la grille
-
-#ifdef NC_DOUBLE
-  status=NF_PUT_VARA_DOUBLE(ncid_out,out_lonuid,1,iim+1,rlonudeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_DOUBLE(ncid_out,out_lonvid,1,iim+1,rlonvdeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_DOUBLE(ncid_out,out_latuid,1,jjm+1,rlatudeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_DOUBLE(ncid_out,out_latvid,1,jjm,rlatvdeg)
-  CALL handle_err(status)
-#else
-  status=NF_PUT_VARA_REAL(ncid_out,out_lonuid,1,iim+1,rlonudeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_REAL(ncid_out,out_lonvid,1,iim+1,rlonvdeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_REAL(ncid_out,out_latuid,1,jjm+1,rlatudeg)
-  CALL handle_err(status)
-  status=NF_PUT_VARA_REAL(ncid_out,out_latvid,1,jjm,rlatvdeg)
-  CALL handle_err(status)
-#endif
-
-  start(1)=1
-  start(2)=1
-  start(3)=1
-  start(4)=1
-
-  COUNT(1)=iim+1
-  COUNT(2)=jjm+1
-  COUNT(3)=1
-  COUNT(4)=1
-
-  DO j=1,jjm+1
-     DO i=1,iim+1
-        temp(i,j)=MOD(i,2)+MOD(j,2)
-     ENDDO
-  ENDDO
-
-#ifdef NC_DOUBLE
-  status=NF_PUT_VARA_DOUBLE(ncid_out,out_varid,start, count,temp)
-  CALL handle_err(status)
-#else
-  status=NF_PUT_VARA_REAL(ncid_out,out_varid,start, count,temp)
-  CALL handle_err(status)
-#endif
-
-  ! On re-ouvre le fichier pour rajouter 4 nouvelles variables necessaire pour INCA
-! lev - phis - aire - mask
-! rlevdeg(:) = presnivs
-  rlevdeg(:) = presnivs(:)
-  phis_loc(:,:) = phis(:,:)/g
-
-! niveaux de pression verticaux
-  status = NF_REDEF (ncid_out)
-  CALL handle_err(status)
-  status=NF_DEF_DIM(ncid_out,'lev',llm,out_levdim)
-  CALL handle_err(status)
-  status=NF_DEF_VAR(ncid_out,'presnivs',NF_FLOAT,1,out_levdim,&
-                    presnivs_id)
-  CALL handle_err(status)
-  
-! fields
+  status=NF90_DEF_VAR(ncid_out,'grille_s',NF90_FLOAT,out_dim, out_tempid)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,out_tempid,'units', 6,'Kelvin')
+  status=NF_PUT_ATT_TEXT(ncid_out,out_tempid,'long_name',21,'scalar dynamical grid')
+  !
+  ! for INCA :
+  ! vertical levels "presnivs"
+  status=NF90_DEF_VAR(ncid_out,'presnivs',NF90_FLOAT,out_levdim, presnivs_id)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,presnivs_id,'units', 2,'Pa')
+  status=NF_PUT_ATT_TEXT(ncid_out,presnivs_id,'long_name',15,'Vertical levels')
+  ! surface geopotential height: named "phis" as the sfc geopotential, is actually phis/g
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-
-  status = nf_def_var(ncid_out,'phis',NF_FLOAT,2,out_dim,phis_id)
-  CALL handle_err(status)
-  status = nf_def_var(ncid_out,'aire',NF_FLOAT,2,out_dim,area_id)
-  CALL handle_err(status)
-  status = nf_def_var(ncid_out,'mask',NF_INT  ,2,out_dim,mask_id)
-  CALL handle_err(status)
-
-  status=NF_ENDDEF(ncid_out)
-  CALL handle_err(status)
-
-  ! ecriture des variables
-#ifdef NC_DOUBLE
-  status=NF_PUT_VARA_DOUBLE(ncid_out,presnivs_id,1,llm,rlevdeg)
-  CALL handle_err(status)
-#else
-  status=NF_PUT_VARA_REAL(ncid_out,out_levid,1,llm,rlevdeg)
-  CALL handle_err(status)
-#endif
-
-  start(1)=1
-  start(2)=1
-  start(3)=1
-  start(4)=0
+  status = nf90_def_var(ncid_out,'phis',NF90_FLOAT,out_dim,phis_id)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,phis_id,'units', 1,'m')
+  status=NF_PUT_ATT_TEXT(ncid_out,phis_id,'long_name',27,'surface geopotential height')
+  ! gridcell area
+  status = nf90_def_var(ncid_out,'aire',NF90_FLOAT,out_dim,area_id)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,area_id,'units', 2,'m2')
+  status=NF_PUT_ATT_TEXT(ncid_out,area_id,'long_name',13,'gridcell area')
+  ! land-sea mask (nearest integer approx)
+  status = nf90_def_var(ncid_out,'mask',NF90_INT,out_dim,mask_id)
+  CALL handle_err(status)
+  status=NF_PUT_ATT_TEXT(ncid_out,mask_id,'long_name',27,'land-sea mask (nINT approx)')
+  
+  ! END the 'define' mode in netCDF file
+  status=NF_ENDDEF(ncid_out)  
+  CALL handle_err(status)
+  
+  ! WRITE the variables
+  !-------------------------
+  ! 1D : lonu, lonv,latu,latv ; INCA : presnivs
+  status=NF90_PUT_VAR(ncid_out,out_lonuid,rlonudeg,[1],[iip1])
+  CALL handle_err(status)
+  status=NF90_PUT_VAR(ncid_out,out_lonvid,rlonvdeg,[1],[iip1])
+  CALL handle_err(status)
+  status=NF90_PUT_VAR(ncid_out,out_latuid,rlatudeg,[1],[jjp1])
+  CALL handle_err(status)
+  status=NF90_PUT_VAR(ncid_out,out_latvid,rlatvdeg,[1],[jjm])
+  CALL handle_err(status)
+  status=NF90_PUT_VAR(ncid_out,presnivs_id,rlev,[1],[llm])
+  CALL handle_err(status)
+
+  ! 2D : grille_u,grille_v,grille_s ; INCA: phis,aire,mask
+  start(:)=1 
   COUNT(1)=iip1
-  COUNT(2)=jjp1
-  COUNT(3)=1
-  COUNT(4)=0
-
-  status = nf_put_vara_double(ncid_out, phis_id,start,count, phis_loc)
-  CALL handle_err(status)
-  status = nf_put_vara_double(ncid_out, area_id,start,count, aire)
-  CALL handle_err(status)
-  masque_int(:,:) = nINT(masque(:,:))
-  status = nf_put_vara_int(ncid_out, mask_id,start,count,masque_int)
-  CALL handle_err(status)
-  
-  ! fermeture du fichier netcdf
+  
+  COUNT(2)=jjp1  ! for "u" and "s" grids
+  status=NF90_PUT_VAR(ncid_out,out_uid,uwnd,start, count)
+  CALL handle_err(status)
+  COUNT(2)=jjm  ! for "v" grid
+  status=NF90_PUT_VAR(ncid_out,out_vid,vwnd,start, count)
+  CALL handle_err(status) 
+  COUNT(2)=jjp1  ! as "s" grid, for all the following vars
+  status=NF90_PUT_VAR(ncid_out,out_tempid,temp,start, count)
+  CALL handle_err(status)
+  status = nf90_put_var(ncid_out, phis_id, phis_loc,start,count)
+  CALL handle_err(status) 
+  status = nf90_put_var(ncid_out, area_id, aire,start,count)
+  CALL handle_err(status) 
+  status = nf90_put_var(ncid_out, mask_id,masque_int,start,count)
+  CALL handle_err(status)
+  
+  ! CLOSE netcdf file
   CALL ncclos(ncid_out,rcode_out)
+  write(*,*) "END grilles_gcm_netcdf_sub OK"
 
 END SUBROUTINE grilles_gcm_netcdf_sub
-
 
 
